# Technical Product Manager

<p class="description">We are looking for a technical product manager to guide our roadmap and build a great product.</p>

## Details of the Role

- Location: Remote (preference for UTC-5 to UTC+4).
- Type of work: Contractor (full-time, convertible to an employee position in the future).
- Start date: Immediately.
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About us

See the [careers](/company/careers/) and [about us](https://mui.com/about/) pages.

### Why we're hiring

Both our open-source community and our premium products are growing fast (x2-3 YoY).
We need talented people to keep that going!

The advanced components team (X) needs help to build its best features.
We have started with the [data grid](/components/data-grid/) a year ago, but it's the beginning.
Our users are continuously providing feedback on the most important [pains they face](https://github.com/mui-org/material-ui-x/issues?q=is%3Aissue+is%3Aopen+sort%3Areactions-%2B1-desc).

### Why this is interesting

Our solution is empowering React developers to build awesome applications. It should be easy, it shouldn't require any advanced technical skills. Hundreds of thousands of developers use Material-UI every month.
We are the second most used UI library in the world, after Bootstrap.

Our enterprise components portfolio is still small, with a million interesting and challenging problems to solve.

## About the role

You will be joining the advanced components team.

### What you'll do on a day-to-day basis

- You will coordinate with the engineering to ensure that the product being delivered at each iteration solves the problem.
  This involves growing a deep understanding of our technical choices and constraints.
- If time allows you to, you will assist the engineering team and implement some of the items in the backlog, up to part-time.
- You will drive the revenue and community growth by owning KPIs.
- You will grow and cultivate a deep understanding of the problems that developers have when they deal with enterprise applications. This means that you will observe and reach out to the community, run research interviews and share your insights with the team.
- You will keep a close eye on feature requests, issues, and general improvements (mostly through GitHub issues and occasionally Zendesk), to curate opportunities based on our strategy.
- You will build a strategy for your product area and contribute to the overall product strategy, e.g. establishing a go-to-market strategy.
- You will assess the impact of initiatives through telemetry data and qualitative feedback to help us develop our understanding further, and decide on the next steps.

## About you

### Skills you should have

- 3+ years prior experience working as a Front-end engineer, with React ideally.
- 1+ years experience as Product Manager or closely related roles such as Product Owner, Program Manager, or Solutions Architect.
- Able to switch between the big picture and detailed view multiple times a day.

### What it would be nice if you had, but isn't required

- Experience building developer tools.
- Experience working with open-source and having interacted with open-source communities.

## Compensation

Competitive compensation of up to \$140,000 USD/year, depending on the profile. It could go higher for a person that can significantly push the mission forward. You can find the other perks & benefits in the [careers](/company/careers/#perks-amp-benefits) page.

## Apply

[Apply for this position 📮](https://airtable.com/shrdqo1Z6srZXGcvh?prefill_Applying+for=Technical%20Product%20Manager)
