# Proyectos relacionados

<p class="description">Una lista cuidadosamente supervisada de bibliotecas que vale la pena echarle un vistazo.</p>

Debido a que el alcance de los problemas que soluciona Material-UI es límite, intentamos jugar bien con otras bibliotecas. Siéntase libre de enviar un pull request para añadir otro proyecto; será aceptado si es apropiado.

## Recursos de diseño

<a href="https://mui.com/store/items/sketch-react/?utm_source=docs&utm_medium=referral&utm_campaign=installation-sketch" style="margin-left: 8px; margin-top: 8px; display: inline-block;"><img src="/static/images/download-sketch.svg" alt="sketch" /></a>
<a href="https://mui.com/store/items/figma-react/?utm_source=docs&utm_medium=referral&utm_campaign=installation-figma" style="margin-left: 32px; margin-top: 8px; display: inline-block;"><img src="/static/images/download-figma.svg" alt="figma" /></a>

A set of reusable components for design tools is available, designed to match the React components, and to help you craft great products:

- <strong x-id="1">Figma</strong>: [Figma for Material-UI](https://mui.com/store/items/figma-react/?utm_source=docs&utm_medium=referral&utm_campaign=related-projects-sketch) — A large UI kit with over 600 handcrafted Material-UI's components 🎨.
- <strong x-id="1">Sketch</strong>: [Sketch for Material-UI](https://mui.com/store/items/sketch-react/?utm_source=docs&utm_medium=referral&utm_campaign=related-projects-sketch) — A large UI kit with over 600 handcrafted Material-UI's symbols 💎.
- [Adobe XD](https://mui.com/store/items/adobe-xd-react/?utm_source=docs&utm_medium=referral&utm_campaign=related-projects-adobe-xd): A large UI kit with over 600 handcrafted Material-UI symbols.
- <strong x-id="1">Framer</strong>: [Framer for Material-UI](https://packages.framer.com/package/material-ui/material-ui) — A small MIT UI kit preview of handcrafted Material-UI's component.

## Imágenes e ilustraciones

- [Unsplash](https://unsplash.com): 📷 Un gran recurso para encontrar hermosas fotos gratuitas de alta resolución que puedes usar en tus proyectos.
- [unDraw](https://undraw.co/): 📐 Como Unsplash pero increíbles ilustraciones de vectores.

## IDE tools

- [Material-UI Snippets](https://marketplace.visualstudio.com/items?itemName=vscodeshift.material-ui-snippets) VSCode extension providing snippets.
- [Material-UI Codemorphs](https://marketplace.visualstudio.com/items?itemName=vscodeshift.material-ui-codemorphs) VSCode extension providing codemods.
- [eslint: detect unused classes](https://github.com/jens-ox/eslint-plugin-material-ui-unused-classes): ESLint plugin to detect unused styling classes with `@material-ui/styles`.

## Componentes

Esta es una colección de proyectos de terceros que amplían Material-UI.

### Disposición

- [@mui-treasury/layout](https://mui-treasury.com/layout): Componentes para manejar el diseño general de una página. Puede encontrar un par de ejemplos, por ejemplo, [un clon de reactjs.org](https://mui-treasury.com/layout/clones/reactjs).

### Table (Tabla)

- [notistack](https://github.com/iamhosseindhv/notistack): Hace que sea fácil mostrar notificaciones (para que no tenga que lidiar con el estado abierto/cerrado de ellas).

### Notificación

- [notistack](https://github.com/iamhosseindhv/notistack): Hace que sea fácil mostrar notificaciones (para que no tenga que lidiar con el estado abierto/cerrado de ellas).

### Subir

- [formik-material-ui](https://github.com/stackworx/formik-material-ui) Bindings for using Material-UI with [formik](https://jaredpalmer.com/formik).
- [redux-form-material-ui](https://github.com/erikras/redux-form-material-ui) Bindings for using Material-UI with [Redux Form](https://redux-form.com/).
- [mui-rff](https://github.com/lookfirst/mui-rff) Bindings for using Material-UI with [React Final Form](https://final-form.org/react).
- [data-driven-forms MUI mapper](https://github.com/data-driven-forms/react-forms/tree/master/packages/mui-component-mapper) enlaces para usar Material-UI con [Data Driven Forms](https://data-driven-forms.org/).

### Formulario

- [mui-rff](https://github.com/lookfirst/mui-rff) Bindings for using Material-UI with [React Final Form](https://final-form.org/react).

### Carrusel

- [material-ui-image](https://mui.wertarbyte.com/#material-ui-image): Las imágenes son feas hasta que estén cargadas. ¡Materialízalo con material image! Se desvanecerá como lo sugiere el patrón de carga de material image.

### Pagination

- [crear-mui-theme](https://react-theming.github.io/create-mui-theme/): Una herramienta en línea para crear temas de Material-UI a través de Material Design Color Tool.

### Paginación

- [material-ui-plan-pagination](https://github.com/szmslab/material-ui-flat-pagination): Un componente de paginación de diseño plano para Material-UI.

### Planificador/Calendario

- [dx-react-scheduler-material-ui](https://devexpress.github.io/devextreme-reactive/react/scheduler/): Un componente de planificador/calendario para Material-UI con múltiples vistas de calendario, edición, citas de repetición y características de navegación de fecha ([licencia de pago](https://js.devexpress.com/licensing/)).

### Dialog

- [dx-react-chart-material-ui](https://devexpress.github.io/devextreme-reactive/react/chart/): Gráficos para Material-UI que visualiza los datos usando una variedad de tipos de series, incluyendo barras, líneas, áreas, scatter, tarta y más ([licencia de pago](https://js.devexpress.com/licensing/)).

### Selector de color

- [material-ui-color](https://github.com/mikbry/material-ui-color): Colecciones de componentes de color para material-ui. ¡No hay dependencias, pequeño, altamente personalizable y soporte para temas!

## Bloques

- [components-extra](https://github.com/alexandre-lelain/components-extra): Proporciona un conjunto de componentes "moléculas" construidos sobre Material-UI como un Footer, un Banner de Cookies, un botón BackToTop y otros elementos complejos altamente personalizables para ayudar a los desarrolladores a construir las partes macro de su interfaz de usuario muy rápidamente. Estos componentes a menudo se duplican a través de sitios - esta biblioteca resuelve este problema exacto.

## Temática

- [crear-mui-theme](https://react-theming.github.io/create-mui-theme/): Una herramienta en línea para crear temas de Material-UI a través de Material Design Color Tool.
- [material-ui-theme-editor](https://in-your-saas.github.io/material-ui-theme-editor/): A tool to generate themes for your Material-UI applications by just selecting the colors and having a live preview.
- [Material palette generator](https://material.io/inline-tools/color/): The Material palette generator can be used to generate a palette for any color you input.