# Proyectos de Ejemplo

<p class="description">Una selección de proyectos de ejemplo para empezar.</p>

## Ejemplos oficiales

Puedes encontrar algunos proyectos de ejemplo en el [repositorio de Github](https://github.com/mui-org/material-ui) dentro de la carpeta [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples):

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Preact](https://github.com/mui-org/material-ui/tree/master/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- E mais

Create React App es un excelente proyecto para aprender React. Echa un vistazo a [las alternativas disponibles](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) para ver qué proyecto se adapta mejor a tus necesidades.

El código fuente de esta documentación también está incluido en el repositorio. Es un proyecto ligeramente más complejo. Echa un vistazo en la carpeta [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) para las instrucciones de compilación.

## Proyectos de ejemplo más avanzados

Si quieres empezar con un ejemplo más completo y real, puedes echar un vistazo a los [temas premium & plantillas](https://mui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store) o:

### Gratis

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted):
    
  - Creado con Create React App
  - Crear un script de Create React App personalizado para iniciar un nuevo proyecto con un solo comando CLI
  - Build for Firebase including Authentication using the official Firebase Web Auth UI
  - Routing with React Router including error handling (404) and lazy loading
  - All PWA features included (SW, Notifications, deferred installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)
- [RMUIF](https://github.com/phoqe/rmuif):
    
  - Bootstrapped with Create React App, the same tooling works from the get-go
  - Built on top of Firebase with all their products for the web included
  - Robust routing with React Router including protected routes and error handling
  - Extensive mobile support with full-screen dialogs and react-swipeable-views for tabs
  - Cross-platform application monitoring with a focus on error reporting with Sentry
- [Material Sense](https://github.com/alexanmtz/material-sense):
    
  - Graph using recharts
  - React Router incluido con un ejemplo de navegación
  - Un contenedor de docker con servidor Nginx para compilado de producción
  - Creado con Create React App
- [React SaaS Template](https://github.com/dunky11/react-saas-template):
    
  - Creado con Create React App
  - Features a landing page, a blog, an area to login/register and an admin-dashboard
  - Fully routed using react-router
  - Lazy loads components to boost performance
  - Components for statistics, text with emoji support, image upload and much more...

### De Pago

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):
    
  - Build your complete application with this online tool
  - Choose your framework and library (React & Material-UI!)
  - Choose your database (SQL, MongoDB or Firestore)
  - Model your database and application with the intuitive GUI
  - Generate your application, including a complete scaffolded backend
  - Preview your application online, and download the generated code