# Примеры проектов

<p class="description">A selection of example projects to get started with.</p>

## Official examples

You can find some example projects in the [GitHub repository](https://github.com/mui-org/material-ui) under the [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples) folder:

- [Create React App](https://github.com/mui-org/material-ui/tree/master/examples/create-react-app)
- [Gatsby](https://github.com/mui-org/material-ui/tree/master/examples/gatsby)
- [Next.js](https://github.com/mui-org/material-ui/tree/master/examples/nextjs)
- [Preact](https://github.com/mui-org/material-ui/tree/master/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/master/examples/cdn)
- [Plain server-side](https://github.com/mui-org/material-ui/tree/master/examples/ssr)
- И многое другое

Create React App - отличный проект для изучения React. Посмотрите на [доступные альтернативы](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) чтобы увидеть, какой проект лучше всего соответствует вашим потребностям.

Исходный код этого сайта документации также включен в репозиторий. Это немного более сложный проект. Check out the [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) folder for build instructions.

## Более продвинутые примеры проектов

Если вы хотите начать с более полного и реального примера вы можете посмотреть [premium themes & templates](https://mui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store) или:

### Free

- [React Most Wanted](https://github.com/TarikHuber/react-most-wanted):
    
  - Created with Create React App
  - Custom Create React App script to start a new project with just a single CLI command
  - Build for Firebase including Authentication using the official Firebase Web Auth UI
  - Routing with React Router including error handling (404) and lazy loading
  - All PWA features included (SW, Notifications, deferred installation prompt and more)
  - Optimized and scalable performance (all ~100 points on Lighthouse)
- [RMUIF](https://github.com/phoqe/rmuif):
    
  - Bootstrapped with Create React App, the same tooling works from the get-go
  - Built on top of Firebase with all their products for the web included
  - Robust routing with React Router including protected routes and error handling
  - Extensive mobile support with full-screen dialogs and react-swipeable-views for tabs
  - Cross-platform application monitoring with a focus on error reporting with Sentry
- [Material Sense](https://github.com/alexanmtz/material-sense):
    
  - Graph using recharts
  - React Router включен с примером навигации
  - A docker container with an Nginx server for production build
  - Created with Create React App
- [React SaaS Template](https://github.com/dunky11/react-saas-template):
    
  - Created with Create React App
  - Features a landing page, a blog, an area to login/register and an admin-dashboard
  - Fully routed using react-router
  - Lazy loads components to boost performance
  - Components for statistics, text with emoji support, image upload and much more...

### Paid

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):
    
  - Build your complete application with this online tool
  - Choose your framework and library (React & Material-UI!)
  - Choose your database (SQL, MongoDB or Firestore)
  - Model your database and application with the intuitive GUI
  - Generate your application, including a complete scaffolded backend
  - Preview your application online, and download the generated code