# Suporte

<p class="description">Desde a ajuda da comunidade até o suporte premium essencial aos negócios, estamos aqui para ajudar.</p>

## Ajuda da comunidade (grátis)

A comunidade é sua primeira parada para perguntas e conselhos sobre o framework. Bem-vindo à comunidade!

### StackOverflow <img src="/static/images/logos/stackoverflow.svg" width="24" height="24" alt="StackOverflow logo" loading="lazy" />

Para questões técnicas colaborativas, conte com o apoio de desenvolvedores de Material-UI especializados em nossa comunidade. Também frequentado pela equipe principal do Material-UI.

[Poste uma pergunta](https://stackoverflow.com/questions/tagged/material-ui)

### GitHub <img src="/static/images/logos/github.svg" width="24" height="24" alt="GitHub logo" loading="lazy" />

Usamos issues do GitHub exclusivamente para rastrear bugs e solicitações de recursos. Se você acha que encontrou um bug ou tem uma nova idéia de recurso, comece certificando-se de que ele ainda não foi [relatado ou corrigido](https://github.com/mui-org/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed). Você pode pesquisar nas issues existentes e pull requests para ver se alguém relatou algo semelhante ao seu.

[Abra uma issue](https://github.com/mui-org/material-ui/issues/new/choose)

#### Novas diretrizes para issues

- Por favor, siga o modelo de issue.
- Comece o título com '[ComponentName]', quando apropriado, e use uma descrição sucinta que ajude outras pessoas a encontrar issues semelhantes. Use o idioma padrão do projeto que é o inglês. 
  - "doesn't work" ❌
  - "[Button] Add support for <some feature>" ✅
- Não agrupe vários tópicos em uma issue - cada um deve ter sua própria issue.
- Por favor, não comente "+1" em uma issue. Isso engana os mantenedores e não ajuda a avançar com a issue. Use as reações do GitHub (👍).

### Blog 📝

Mantenha-se atualizado com o desenvolvimento da biblioteca seguindo o blog.

[Leia as últimas postagens](https://medium.com/material-ui/)

### Recursos 📖

Novo no Material-UI? É fácil de aprender, se você souber por onde começar!

[Aprenda Material-UI](/getting-started/learn/)

### Twitter <img src="/static/images/logos/twitter.svg" width="24" height="24" alt="Twitter logo" loading="lazy" />

Receba as últimas notícias sobre Material-UI.

[Siga-nos](https://twitter.com/MaterialUI)

### Versões suportadas

O Material-UI CE (Community Edition) é 100% de código aberto (MIT) desde o início, e sempre será. Os desenvolvedores podem garantir que Material-UI seja a escolha certa para seus aplicativos React através da estratégia de manutenção da comunidade do Material-UI. A equipe do Material-UI disponibiliza regularmente novos lançamentos, correções de bugs e é muito receptiva às solicitações da comunidade.

Dada a realidade das restrições de tempo e recursos, bem como o desejo de continuar inovando, com o tempo, torna-se necessário mudar o foco para as versões mais recentes do framework ([nosso cronograma de lançamento](https://mui.com/versions/#release-frequency)), enquanto essa transição ocorre para as versões mais recentes, sempre que possível, inclusões de publicação de guias de migração são feitas, como [esta para a v4](/guides/migration-v3/). A comunidade de código aberto é sempre bem-vinda para enviar novos recursos e correções de erros também.

O status atual de cada versão do Material-UI é o seguinte:

- Material-UI v4 (hooks): ✅ Em desenvolvimento ativo.
- Material-UI v3 (alteração de navegadores suportados): ⚠️ Somente correções de segurança.
- ~Material-UI v2 (nunca existiu)~.
- ~Material-UI v2 (nunca existiu)~.
- Material-UI v1 (reescrita): ❌ Inativa.
- Material-UI v0.x: ❌ Inativa.

Para equipes e organizações que exigem suporte adicional para versões mais antigas, o Material-UI possui [opções disponíveis](#enterprise).

## Suporte profissional (premium)

### Tidelift subscription <img src="/static/images/logos/tidelift.svg" width="24" height="24" alt="Tidelift logo" loading="lazy" />

Material-UI e os mantenedores de milhares de outros pacotes estão trabalhando com Tidelift para fornecer uma assinatura corporativa que abranja todo o código aberto que você usa.

Se você quiser a flexibilidade do código aberto e a confiança do software em nível comercial, vale a pena conferir.

A Tidelift Subscription fornece esses recursos para você:

- Obtenha as ferramentas que você precisa continuamente catalogar e entenda o software de código aberto do qual seu aplicativo depende.
- Sua assinatura ajuda a pagar os mantenedores da comunidade de código aberto dos pacotes que você usa, para garantir que eles cumpram os padrões que você precisa.
- Resolve proativamente problemas, com ferramentas que buscam novos problemas de segurança, licenciamento e manutenção, e alerta os mantenedores de código aberto participantes para que possam resolvê-los em seu nome.
- Tidelift ajuda a medir e melhorar a saúde das suas dependências de código aberto - o que aprimora a saúde do seu aplicativo - e fornece uma lista de etapas de alto impacto que sua equipe pode dar para aprimorar ainda mais.
- Receba garantias comerciais que não vem de graça com pacotes de código aberto, como indenização de propriedade intelectual e suporte sob um contrato de nível de serviço. Você espera essas garantias de um software proprietário, e pode obtê-las ao usar o código aberto também.

O resultado final? Todas as capacidades que você espera de um software de nível comercial, com toda a amplitude de código aberto que você usa. Isso significa menos tempo lutando com trivia esotérica de código aberto, e mais tempo criando seus próprios aplicativos – e seus negócios.

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise"> Obter mais detalhes </a>

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/request-a-demo?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise"> Solicite uma demonstração </a>

### Trabalho customizado 🛠

Ajuste Material-UI para atender requisitos específicos. Nos dê um resumo das suas necessidades e ajudaremos você se pudermos. Nós poderíamos:

- Dar a você uma estimativa de tempo e preço se o trabalho for simples
- Sugerir alternativas que podem não exigir Material-UI
- Recusar o trabalho devido a tempo ou relevância

Note que o trabalho deve estar relacionado ao Material-UI. Não aceitamos trabalhos genéricos de desenvolvimento React. Nosso preço de contratação é de $200/hora ou $1.500/dia.

[Envie-nos um e-mail](mailto:custom-work@material-ui.com)